## labltk 8.06.0%2Bdfsg

=== support/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 1999 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include Makefile.common

all: support.cmo rawwidget.cmo widget.cmo protocol.cmo \
     textvariable.cmo timer.cmo fileevent.cmo camltkwrap.cmo \
     tkthread.cmo lib$(LIBNAME).$(A)

opt: support.cmx rawwidget.cmx widget.cmx protocol.cmx \
     textvariable.cmx timer.cmx fileevent.cmx camltkwrap.cmx \
     tkthread.cmx lib$(LIBNAME).$(A)

COBJS=cltkCaml.$(O) cltkUtf.$(O) cltkEval.$(O) cltkEvent.$(O) \
      cltkFile.$(O) cltkMain.$(O) cltkMisc.$(O) cltkTimer.$(O) \
      cltkVar.$(O) cltkWait.$(O) cltkImg.$(O)

CCFLAGS=-I$(LIBDIR)/caml $(TK_DEFS) $(SHAREDCCCOMPOPTS)

COMPFLAGS=
THFLAGS=-I +threads -I vmthreads
TKLDOPTS=$(TK_LINK:%=-ldopt "%")

lib$(LIBNAME).$(A): $(COBJS)
	$(MKLIB) -o $(LIBNAME) $(COBJS) $(TKLDOPTS)

PUBMLI=fileevent.mli protocol.mli textvariable.mli timer.mli \
    rawwidget.mli widget.mli
PUB= $(PUBMLI) $(PUBMLI:.mli=.cmi) tkthread.mli tkthread.cmi tkthread.cmo

ifeq ($(USE_FINDLIB),yes)
install:
	ocamlfind install labltk META $(PUB) lib$(LIBNAME).$(A) \
	  -optional dll$(LIBNAME)$(EXT_DLL)
	$(RANLIB) lib$(LIBNAME).$(A)

installopt:
	ocamlfind install labltk -add \
	  $(PUBMLI:.mli=.cmx) -optional tkthread.cmx tkthread.$(O)
else
install:
	if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(PUB) lib$(LIBNAME).$(A) $(INSTALLDIR)
	cd $(INSTALLDIR); $(RANLIB) lib$(LIBNAME).$(A)
	cd $(INSTALLDIR); chmod 644 $(PUB) lib$(LIBNAME).$(A)
	if test -f dll$(LIBNAME)$(EXT_DLL); then \
	   cp dll$(LIBNAME)$(EXT_DLL) $(STUBLIBDIR)/; fi

installopt:
	@if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(PUBMLI:.mli=.cmx) $(INSTALLDIR)
	if test -f tkthread.$(O); then \
	  cp tkthread.cmx tkthread.$(O) $(INSTALLDIR); \
	  chmod 644 $(INSTALLDIR)/tkthread.cmx $(INSTALLDIR)/tkthread.$(O); \
	fi
endif

clean:
	rm -f *.cm* *.o *.a *.so *.obj *.lib *.dll *.exp

.SUFFIXES:
.SUFFIXES: .mli .ml .cmi .cmo .cmx .mlp .c .$(O)

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmx:
	$(CAMLOPT) -c $(COMPFLAGS) $<

.c.$(O):
	$(BYTECC) $(BYTECCCOMPOPTS) $(CCFLAGS) -c $<

tkthread.cmi: tkthread.mli
	$(CAMLCOMP) $(COMPFLAGS) $(THFLAGS) $<
tkthread.cmo: tkthread.ml
	$(CAMLCOMP) $(COMPFLAGS) $(THFLAGS) $<
tkthread.cmx: tkthread.ml
	if test -f $(LIBDIR)/systhreads/threads.cmxa; then \
	  $(CAMLOPT) -c $(COMPFLAGS) $(THFLAGS) $< ; \
	fi

depend:
	$(CAMLDEP) *.mli *.ml > .depend

$(COBJS): camltk.h

include .depend

## labltk 8.06.0+dfsg

=== browser/Makefile ===
#########################################################################
#                                                                       #
#                         OCaml LablTk library                          #
#                                                                       #
#            Jacques Garrigue, Kyoto University RIMS                    #
#                                                                       #
#   Copyright 1999 Institut National de Recherche en Informatique et    #
#   en Automatique and Kyoto University.  All rights reserved.          #
#   This file is distributed under the terms of the GNU Library         #
#   General Public License, with the special exception on linking       #
#   described in file ../../../LICENSE.                                 #
#                                                                       #
#########################################################################

# $Id$

include Makefile.shared

dummy.mli:
	cp dummyUnix.mli dummy.mli

=== camltk/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 2002 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

COMPFLAGS= -I ../support

all: camltkobjs

opt: camltkobjsx

include ./modules

CAMLTKOBJS = $(CWIDGETOBJS) cTk.cmo camltk.cmo
CAMLTKOBJSX = $(CAMLTKOBJS:.cmo=.cmx)

camltkobjs: $(CAMLTKOBJS)

camltkobjsx: $(CAMLTKOBJSX)

ifeq ($(USE_FINDLIB),yes)
install:
	ocamlfind install labltk -add \
	  $(CAMLTKOBJS:.cmo=.cmi) $(CWIDGETOBJS:.cmo=.mli)
installopt:
	ocamlfind install labltk -add $(CAMLTKOBJSX)
else
install:
	if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(CAMLTKOBJS:.cmo=.cmi) $(INSTALLDIR)
	cp $(CWIDGETOBJS:.cmo=.mli) $(INSTALLDIR)
	chmod 644 $(INSTALLDIR)/*.cmi

installopt:
	@if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(CAMLTKOBJSX) $(INSTALLDIR)
	chmod 644 $(INSTALLDIR)/*.cmx
endif

clean:
	$(MAKE) -f Makefile.gen clean

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmx .cmo .mlp

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmx:
	$(CAMLOPT) -c $(COMPFLAGS) $<

include .depend

=== labltk/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 2002 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

COMPFLAGS= -I ../support

all: labltkobjs

opt: labltkobjsx

include ./modules

LABLTKOBJS = $(WIDGETOBJS) tk.cmo labltk.cmo
LABLTKOBJSX = $(LABLTKOBJS:.cmo=.cmx)

labltkobjs: $(LABLTKOBJS)

labltkobjsx: $(LABLTKOBJSX)

ifeq ($(USE_FINDLIB),yes)
install:
	ocamlfind install labltk -add \
	  $(LABLTKOBJS:.cmo=.cmi) $(WIDGETOBJS:.cmo=.mli)
installopt:
	ocamlfind install labltk -add $(LABLTKOBJSX)
else
install:
	if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(LABLTKOBJS:.cmo=.cmi) $(WIDGETOBJS:.cmo=.mli) $(INSTALLDIR)
	chmod 644 $(INSTALLDIR)/*.cmi

installopt:
	@if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(LABLTKOBJSX) $(INSTALLDIR)
	chmod 644 $(INSTALLDIR)/*.cmx
endif

clean:
	$(MAKE) -f Makefile.gen clean

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmx .cmo .mlp

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmx:
	$(CAMLOPT) -c $(COMPFLAGS) $<

include .depend

=== debian/changelog ===
labltk (8.06.0+dfsg-3) unstable; urgency=medium

  * liblabltk-ocaml Breaks/Replaces ocaml-base (Closes: #801560)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2015 11:43:06 +0200

labltk (8.06.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Oct 2015 15:42:53 +0200

labltk (8.06.0+dfsg-1) experimental; urgency=low

  * Initial upload (Closes: #779039).

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 May 2015 11:39:01 +0200

=== debian/control ===
Source: labltk
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.02.1),
 ocaml-findlib,
 tk-dev,
 dh-ocaml
Standards-Version: 3.9.6
Homepage: https://forge.ocamlcore.org/projects/labltk/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/labltk.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/labltk.git

Package: labltk
Architecture: any
Depends:
 liblabltk-ocaml-dev,
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: ocaml (<< 4.02.1)
Replaces: ocaml (<< 4.02.1)
Description: OCaml bindings to Tcl/Tk (executables)
 mlTk is a library for interfacing OCaml with the scripting language
 Tcl/Tk.
 .
 In addition to the basic interface with Tcl/Tk, this package contains
 the OCamlBrowser code editor / library browser written by Jacques
 Garrigue.

Package: liblabltk-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: ocaml (<< 4.02.1)
Replaces: ocaml (<< 4.02.1)
Description: OCaml bindings to Tcl/Tk (dev. libraries)
 mlTk is a library for interfacing OCaml with the scripting language
 Tcl/Tk.
 .
 In addition to the basic interface with Tcl/Tk, this package contains
  * the "jpf" library, written by Jun P. Furuse; it contains a "file
    selector" and "balloon help" support;
  * the "frx" library, written by Francois Rouaix;
  * the "tkanim" library, which supports animated gif loading/display.
 .
 This package contains development libraries.

Package: liblabltk-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: ocaml-base (<< 4.02.1)
Replaces: ocaml-base (<< 4.02.1)
Description: OCaml bindings to Tcl/Tk (runtime libraries)
 mlTk is a library for interfacing OCaml with the scripting language
 Tcl/Tk.
 .
 In addition to the basic interface with Tcl/Tk, this package contains
  * the "jpf" library, written by Jun P. Furuse; it contains a "file
    selector" and "balloon help" support;
  * the "frx" library, written by Francois Rouaix;
  * the "tkanim" library, which supports animated gif loading/display.
 .
 This package contains runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

CONFIGURE_OPTS := -use-findlib -installbindir $(DESTDIR)/usr/bin

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure $(CONFIGURE_OPTS)

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) byte
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) opt
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(OCAMLFIND_DESTDIR)/stublibs $(DESTDIR)/usr/bin
	dh_auto_install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	./configure $(CONFIGURE_OPTS)
	dh_auto_clean
	rm -f config/Makefile config/auto-aux/tst

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

=== debian/watch ===
version=3
https://forge.ocamlcore.org/frs/?group_id=343 .*/labltk-(.+)\.tar\.gz

## labltk 8.06.2

=== Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 1999 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

# Top Makefile for mlTk

SUBDIRS=compiler support lib jpf frx examples_labltk \
	examples_camltk browser
SUBDIRS_GENERATED=camltk labltk
include config/Makefile

all:
	cd support; $(MAKE)
	cd compiler; $(MAKE)
	cd labltk; $(MAKE) -f Makefile.gen
	cd labltk; $(MAKE)
	cd camltk; $(MAKE) -f Makefile.gen
	cd camltk; $(MAKE)
	cd lib; $(MAKE)
	cd jpf; $(MAKE)
	cd frx; $(MAKE)
	cd browser; $(MAKE)

allopt:
	cd support; $(MAKE) opt
	cd labltk; $(MAKE) -f Makefile.gen
	cd labltk; $(MAKE) opt
	cd camltk; $(MAKE) -f Makefile.gen
	cd camltk; $(MAKE) opt
	cd lib; $(MAKE) opt
	cd jpf; $(MAKE) opt
	cd frx; $(MAKE) opt

byte: all
opt: allopt

.PHONY: all allopt byte opt
.PHONY: labltk camltk examples examples_labltk examples_camltk
.PHONY: install installopt partialclean clean depend

labltk: Widgets.src
	compiler/tkcompiler -outdir labltk
	cd labltk; $(MAKE)

camltk: Widgets.src
	compiler/tkcompiler -camltk -outdir camltk
	cd camltk; $(MAKE)

examples: examples_labltk examples_camltk

examples_labltk:
	cd examples_labltk; $(MAKE) all

examples_camltk:
	cd examples_camltk; $(MAKE) all

install:
	cd support; $(MAKE) install
	cd lib; $(MAKE) install
	cd labltk; $(MAKE) install
	cd camltk; $(MAKE) install
	cd compiler; $(MAKE) install
	cd jpf; $(MAKE) install
	cd frx; $(MAKE) install
	cd browser; $(MAKE) install
	if test -f lib/labltk.cmxa; then $(MAKE) installopt; else :; fi

installopt:
	cd support; $(MAKE) installopt
	cd lib; $(MAKE) installopt
	cd labltk; $(MAKE) installopt
	cd camltk; $(MAKE) installopt
	cd jpf; $(MAKE) installopt
	cd frx; $(MAKE) installopt

uninstall:
	ocamlfind remove labltk
	rm -f $(INSTALLBINDIR)/labltk
	rm -f $(INSTALLBINDIR)/ocamlbrowser$(EXE)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

partialclean clean:
	for d in $(SUBDIRS); do \
	    cd $$d; $(MAKE) -f Makefile clean; cd ..; \
	done
	for d in $(SUBDIRS_GENERATED); do \
	    cd $$d; $(MAKE) -f Makefile.gen clean; cd ..; \
	done

depend:

=== debian/changelog ===
labltk (8.06.2-0ubuntu2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:57:19 +0200

labltk (8.06.2-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Jun 2017 10:39:34 +0100

labltk (8.06.0+dfsg-3build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:32 +0100

## labltk 8.06.2+dfsg

=== compiler/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 1999 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

OBJS=	../support/support.cmo flags.cmo copyright.cmo \
	tsort.cmo tables.cmo printer.cmo lexer.cmo \
	pplex.cmo ppyac.cmo ppexec.cmo ppparse.cmo \
	parser.cmo compile.cmo intf.cmo maincompile.cmo

PPOBJS= pplex.cmo ppyac.cmo ppexec.cmo ppparse.cmo pp.cmo

all: tkcompiler$(EXE) pp$(EXE)

tkcompiler$(EXE) : $(OBJS)
	$(CAMLC) -g $(LINKFLAGS) -o tkcompiler$(EXE) $(OBJS)

pp$(EXE): $(PPOBJS)
	$(CAMLC) -g $(LINKFLAGS) -o pp$(EXE) $(PPOBJS)

lexer.ml: lexer.mll
	$(CAMLLEX) lexer.mll

parser.ml parser.mli: parser.mly
	$(CAMLYACC) -v parser.mly

pplex.ml: pplex.mll
	$(CAMLLEX) pplex.mll

pplex.mli: ppyac.cmi

ppyac.ml ppyac.mli: ppyac.mly
	$(CAMLYACC) -v ppyac.mly

copyright.ml: copyright
	(echo "let copyright=\"\\"; \
	sed -e 's/$$/\\n\\/' copyright; \
	echo "\""; \
	echo "let write ~w = w copyright;;") > copyright.ml

clean :
	rm -f *.cm* parser.ml parser.mli lexer.ml copyright.ml
	rm -f pplex.ml ppyac.ml ppyac.mli ppyac.output
	rm -f tkcompiler$(EXE) pp$(EXE) parser.output

scratch :
	rm -f *.cm*  parser.ml parser.mli lexer.ml tkcompiler$(EXE)
	rm -f *.cm*  pplex.ml ppyac.ml ppyac.mli pp$(EXE)

install:
	cp tkcompiler$(EXE) $(INSTALLDIR)
	cp pp$(EXE) $(INSTALLDIR)

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmo .mlp

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) -I ../support $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) -I ../support $<

depend: parser.ml parser.mli lexer.ml pplex.ml ppyac.ml ppyac.mli
	$(CAMLDEP) *.mli *.ml > .depend

include .depend

=== debian/changelog ===
labltk (8.06.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2017 14:33:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.02.1),
+ ocaml-nox (>= 4.05),
  ocaml-findlib,
  tk-dev,
  dh-ocaml
 Standards-Version: 3.9.6
 Homepage: https://forge.ocamlcore.org/projects/labltk/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/labltk.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/labltk.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
 
 Package: labltk
 Architecture: any

## labltk 8.06.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,11 @@
 SUBDIRS_GENERATED=camltk labltk
 include config/Makefile
 
-all:
+all: library
+	cd browser; $(MAKE)
+opt: libraryopt
+
+library:
 	cd support; $(MAKE)
 	cd compiler; $(MAKE)
 	cd labltk; $(MAKE) -f Makefile.gen
@@ -31,9 +35,8 @@
 	cd lib; $(MAKE)
 	cd jpf; $(MAKE)
 	cd frx; $(MAKE)
-	cd browser; $(MAKE)
 
-allopt:
+libraryopt:
 	cd support; $(MAKE) opt
 	cd labltk; $(MAKE) -f Makefile.gen
 	cd labltk; $(MAKE) opt
@@ -46,7 +49,7 @@
 byte: all
 opt: allopt
 
-.PHONY: all allopt byte opt
+.PHONY: all allopt byte opt apiref library libraryopt
 .PHONY: labltk camltk examples examples_labltk examples_camltk
 .PHONY: install installopt partialclean clean depend
 
@@ -66,6 +69,10 @@
 examples_camltk:
 	cd examples_camltk; $(MAKE) all
 
+SUPPORTMLIS= fileevent support textvariable timer tkthread widget
+apiref:
+	$(BINDIR)/ocamldoc -I +threads -I support -I labltk $(SUPPORTMLIS:%=support/%.mli) labltk/*.mli labltk/tk.ml -sort -d htdocs/apiref -html || echo "There were errors"
+
 install:
 	cd support; $(MAKE) install
 	cd lib; $(MAKE) install
@@ -76,6 +83,9 @@
 	cd frx; $(MAKE) install
 	cd browser; $(MAKE) install
 	if test -f lib/labltk.cmxa; then $(MAKE) installopt; else :; fi
+
+install-browser:
+	cd browser; $(MAKE) install
 
 installopt:
 	cd support; $(MAKE) installopt

=== camltk/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 include ../support/Makefile.common
 
-COMPFLAGS= -I ../support
+COMPFLAGS= -I ../support -no-alias-deps
 
 all: camltkobjs

=== examples_camltk/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 2002 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

# We are using the non-installed library !
BYT_COMPFLAGS=-I ../lib -I ../camltk -I ../support -w s -dllpath ../support
BIN_COMPFLAGS=-I ../lib -I ../camltk -I ../support -w s

WITH_BYT_CAMLTK=labltk.cma camltk.cmo
WITH_BIN_CAMLTK=labltk.cmxa camltk.cmx

BYT_EXECS =\
  addition.byt helloworld.byt winskel.byt fileinput.byt\
  eyes.byt taquin.byt tetris.byt mytext.byt fileopen.byt\

BIN_EXECS=$(BYT_EXECS:.byt=.bin)

EXECS=$(BYT_EXECS:.byt=$(EXE))

all: byt bin

byt: $(BYT_EXECS)

#opt: hello.opt demo.opt calc.opt clock.opt tetris.opt

bin: opt

opt: $(BIN_EXECS)

addition.bin: addition.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ $(WITH_BIN_CAMLTK) addition.cmx

helloworld.bin: helloworld.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ $(WITH_BIN_CAMLTK) helloworld.cmx

winskel.bin: winskel.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ $(WITH_BIN_CAMLTK) winskel.cmx

fileinput.bin: fileinput.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ $(WITH_BIN_CAMLTK) unix.cmxa fileinput.cmx

socketinput.bin: socketinput.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ unix.cmxa $(WITH_BIN_CAMLTK) socketinput.cmx

eyes.bin: eyes.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ unix.cmxa $(WITH_BIN_CAMLTK) eyes.cmx

taquin.bin: taquin.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ unix.cmxa $(WITH_BIN_CAMLTK) taquin.cmx

tetris.bin: tetris.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ unix.cmxa $(WITH_BIN_CAMLTK) tetris.cmx

mytext.bin: mytext.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ unix.cmxa $(WITH_BIN_CAMLTK) mytext.cmx

fileopen.bin: fileopen.cmx
	$(CAMLOPT) $(BIN_COMPFLAGS) -o $@ unix.cmxa $(WITH_BIN_CAMLTK) fileopen.cmx


addition.byt: addition.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ $(LIBNAME).cma addition.cmo

helloworld.byt: helloworld.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ $(LIBNAME).cma helloworld.cmo

winskel.byt: winskel.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ $(LIBNAME).cma winskel.cmo

fileinput.byt: fileinput.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ unix.cma $(LIBNAME).cma fileinput.cmo

socketinput.byt: socketinput.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ unix.cma $(LIBNAME).cma socketinput.cmo

eyes.byt: eyes.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ unix.cma $(LIBNAME).cma eyes.cmo

taquin.byt: taquin.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ unix.cma $(LIBNAME).cma taquin.cmo

tetris.byt: tetris.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ unix.cma $(LIBNAME).cma tetris.cmo

mytext.byt: mytext.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ unix.cma $(LIBNAME).cma mytext.cmo

fileopen.byt: fileopen.cmo
	$(CAMLC) $(BYT_COMPFLAGS) -o $@ $(LIBNAME).cma fileopen.cmo

clean :
	rm -f *.cm? *.o a.out $(EXECS) $(BYT_EXECS) $(BIN_EXECS)

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmo .cmx .cma .cmxa

.mli.cmi:
	$(CAMLCOMP) $(BYT_COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLCOMP) $(BYT_COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLOPT) $(BIN_COMPFLAGS) -c $<

=== debian/changelog ===
labltk (8.06.6+dfsg-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:41 +0000

labltk (8.06.6+dfsg-1) unstable; urgency=medium

  * New upstream release
    - bump required OCaml version to >= 4.08
  * Update Vcs-*, Homepage and debian/watch
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: labltk
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.05),
+ ocaml-nox (>= 4.08),
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 3.9.6
-Homepage: https://forge.ocamlcore.org/projects/labltk/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/garrigue/labltk
+Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
+Vcs-Git: https://salsa.debian.org/ocaml-team/labltk.git
 
 Package: labltk
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" https://github.com/garrigue/labltk/releases .*/archive/(.*)\.tar\.gz

## labltk 8.06.8

=== debian/changelog ===
labltk (8.06.8-1) unstable; urgency=medium

  * New upstream release
    - do not build browser, which works only with OCaml 4.10
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 16:27:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

CONFIGURE_OPTS := -use-findlib -installbindir $(DESTDIR)/usr/bin

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure $(CONFIGURE_OPTS)

override_dh_auto_build:
	$(MAKE) library
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) libraryopt
endif

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(OCAMLFIND_DESTDIR)/stublibs $(DESTDIR)/usr/bin
	dh_auto_install

override_dh_auto_clean:
	./configure $(CONFIGURE_OPTS)
	dh_auto_clean
	rm -f config/Makefile config/auto-aux/tst

override_dh_missing:
	dh_missing --fail-missing -X.so.owner

override_dh_dwz:

## labltk 8.06.9

=== lib/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 1999 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

all: $(LIBNAME).cma $(LIBNAME)top$(EXE) $(LIBNAME)

opt: $(LIBNAME).cmxa

clean:
	rm -f $(LIBNAME)top$(EXE) $(LIBNAME) *.cm* *.$(A) *$(EXT_DLL)

superclean:
	- if test -f tk.cmo; then \
	  echo We have changes... Now lib directory has no .cmo files; \
	  rm -f *.cm* *.$(O); \
	fi

include ../labltk/modules
LABLTKOBJS=tk.cmo $(WIDGETOBJS)

include ../camltk/modules
CAMLTKOBJS=cTk.cmo $(CWIDGETOBJS) labltk.cmo camltk.cmo

SUPPORT=../support/support.cmo ../support/rawwidget.cmo \
	../support/widget.cmo ../support/protocol.cmo \
	../support/textvariable.cmo ../support/timer.cmo \
	../support/fileevent.cmo ../support/camltkwrap.cmo

TKOBJS=$(SUPPORT) $(LABLTKOBJS) $(CAMLTKOBJS)

TOPLEVELLIBS=ocamlcommon.cma ocamlbytecomp.cma ocamltoplevel.cma

TOPLEVELSTART=topstart.cmo

TOPDEPS = $(TOPLEVELLIBS) $(TOPLEVELSTART)

$(LIBNAME).cma: $(SUPPORT) ../Widgets.src
	$(MAKE) superclean
	cd ../labltk; $(MAKE)
	cd ../camltk; $(MAKE)
	$(MKLIB) -ocamlc '$(CAMLCB)' -o $(LIBNAME) \
	  -I ../labltk -I ../camltk $(TKOBJS) \
	  -cclib "\"$(TK_LINK)\""

$(LIBNAME).cmxa: $(SUPPORT:.cmo=.cmx) ../Widgets.src
	$(MAKE) superclean
	cd ../labltk; $(MAKE) opt
	cd ../camltk; $(MAKE) opt
	$(MKLIB) -ocamlopt '$(CAMLOPTB)' -o $(LIBNAME) -oc $(LIBNAME) \
	  -I ../labltk -I ../camltk $(TKOBJS:.cmo=.cmx) \
	  -cclib "\"$(TK_LINK)\""

$(LIBNAME)top$(EXE) : $(LIBNAME).cma ../support/lib$(LIBNAME).$(A)
	$(CAMLC) -verbose -linkall -o $(LIBNAME)top$(EXE) -I ../support \
	       $(TOPLEVELLIBS) \
	       -I +compiler-libs unix.cma \
	       -I ../labltk -I ../camltk $(LIBNAME).cma \
	       str.cma \
	       $(TOPLEVELSTART)

$(LIBNAME): Makefile
	@echo Generate $@
	@echo "#!/bin/sh" > $@
	@echo 'exec $(INSTALLDIR)/$(LIBNAME)top$(EXE) -I $(INSTALLDIR) "$$@"' >> $@

install-script: $(LIBNAME)
	cp $(LIBNAME) $(INSTALLBINDIR)
	chmod 755 $(INSTALLBINDIR)/$(LIBNAME)

install-batch:
	cp labltk.bat $(INSTALLBINDIR)

ifeq ($USE_FINDLIB,yes)
install:
	ocamlfind install labltk -add  $(LIBNAME).cma $(LIBNAME)top$(EXE)
	chmod 755 $(INSTALLDIR)/$(LIBNAME)top$(EXE)
	@case x$(TOOLCHAIN) in \
	  xmingw|xmsvc) $(MAKE) install-batch ;; \
	  *) 		$(MAKE) install-script ;; \
	esac

installopt:
	ocamlfind install labltk -add $(LIBNAME).cmxa $(LIBNAME).$(A)
	cd $(INSTALLDIR); $(RANLIB) $(LIBNAME).$(A)
else
install:
	if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(LIBNAME).cma $(LIBNAME)top$(EXE) $(INSTALLDIR)
	chmod 644 $(INSTALLDIR)/$(LIBNAME).cma
	chmod 755 $(INSTALLDIR)/$(LIBNAME)top$(EXE)
	@if test -d $(INSTALLBINDIR); then : ; else mkdir $(INSTALLBINDIR); fi
	@case x$(TOOLCHAIN) in \
	  xmingw|xmsvc) $(MAKE) install-batch ;; \
	  *) 		$(MAKE) install-script ;; \
	esac

installopt:
	@if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
	cp $(LIBNAME).cmxa $(LIBNAME).$(A) $(INSTALLDIR)
	cd $(INSTALLDIR); $(RANLIB) $(LIBNAME).$(A)
	chmod 644 $(INSTALLDIR)/$(LIBNAME).cmxa
	chmod 644 $(INSTALLDIR)/$(LIBNAME).$(A)
endif

=== debian/changelog ===
labltk (8.06.9-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2020 10:34:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: labltk
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4.08),
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/garrigue/labltk
 Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
 Vcs-Git: https://salsa.debian.org/ocaml-team/labltk.git

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" https://github.com/garrigue/labltk/releases .*/archive/([0-9.]*)\.tar\.gz

## labltk 8.06.11

=== examples_labltk/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 2002 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

COMPFLAGS=-I ../lib -I ../labltk -I ../support -w s -dllpath ../support

all: hello demo eyes calc clock tetris lang

opt: hello.opt demo.opt eyes.opt calc.opt clock.opt tetris.opt

hello: hello.cmo
	$(CAMLC) $(COMPFLAGS) -o hello $(LIBNAME).cma hello.cmo

demo: demo.cmo
	$(CAMLC) $(COMPFLAGS) -o demo $(LIBNAME).cma demo.cmo

eyes: eyes.cmo
	$(CAMLC) $(COMPFLAGS) -o eyes $(LIBNAME).cma eyes.cmo

calc: calc.cmo
	$(CAMLC) $(COMPFLAGS) -o calc $(LIBNAME).cma calc.cmo

clock: clock.cmo
	$(CAMLC) $(COMPFLAGS) -o clock $(LIBNAME).cma unix.cma clock.cmo

clock.opt: clock.cmx
	$(CAMLOPT) $(COMPFLAGS) -o clock.opt \
	      $(LIBNAME).cmxa unix.cmxa clock.cmx

tetris: tetris.cmo
	$(CAMLC) $(COMPFLAGS) -o tetris $(LIBNAME).cma tetris.cmo

taquin: taquin.cmo
	$(CAMLC) $(COMPFLAGS) -o taquin $(LIBNAME).cma taquin.cmo

lang: lang.cmo
	$(CAMLC) $(COMPFLAGS) -o lang $(LIBNAME).cma lang.cmo

clean:
	rm -f hello demo eyes calc clock tetris lang *.opt *.o *.cm*

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmx .cmo .opt

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmx:
	$(CAMLOPT) -c $(COMPFLAGS) $<

.cmx.opt:
	$(CAMLOPT) $(COMPFLAGS) -o $@ $(LIBNAME).cmxa $<

=== labltk/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 include ../support/Makefile.common
 
-COMPFLAGS= -I ../support
+COMPFLAGS= -I ../support -no-alias-deps
 
 all: labltkobjs

=== support/Makefile ===
--- 
+++ 
@@ -39,7 +39,9 @@
 
 PUBMLI=fileevent.mli protocol.mli textvariable.mli timer.mli \
     rawwidget.mli widget.mli
-PUB= $(PUBMLI) $(PUBMLI:.mli=.cmi) tkthread.mli tkthread.cmi tkthread.cmo
+PUB= $(PUBMLI) $(PUBMLI:.mli=.cmi) tkthread.mli tkthread.cmi tkthread.cmo \
+	camltkwrap.cmi
+PUBX= $(PUBMLI:.mli=.cmx) camltkwrap.cmx
 
 ifeq ($(USE_FINDLIB),yes)
 install:
@@ -48,8 +50,8 @@
 	$(RANLIB) lib$(LIBNAME).$(A)
 
 installopt:
-	ocamlfind install labltk -add \
-	  $(PUBMLI:.mli=.cmx) -optional tkthread.cmx tkthread.$(O)
+	ocamlfind install labltk -add $(PUBX) \
+	  -optional tkthread.cmx tkthread.$(O)
 else
 install:
 	if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
@@ -61,7 +63,7 @@
 
 installopt:
 	@if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
-	cp $(PUBMLI:.mli=.cmx) $(INSTALLDIR)
+	cp $(PUBX) $(INSTALLDIR)
 	if test -f tkthread.$(O); then \
 	  cp tkthread.cmx tkthread.$(O) $(INSTALLDIR); \
 	  chmod 644 $(INSTALLDIR)/tkthread.cmx $(INSTALLDIR)/tkthread.$(O); \
@@ -84,7 +86,7 @@
 	$(CAMLOPT) -c $(COMPFLAGS) $<
 
 .c.$(O):
-	$(BYTECC) $(BYTECCCOMPOPTS) $(CCFLAGS) -c $<
+	$(CC) $(BYTECCCOMPOPTS) $(OCAMLC_CFLAGS) $(CCFLAGS) -c $<
 
 tkthread.cmi: tkthread.mli
 	$(CAMLCOMP) $(COMPFLAGS) $(THFLAGS) $<

=== debian/changelog ===
labltk (8.06.11-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:38 +0100

labltk (8.06.11-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:40:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/garrigue/labltk
 Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" https://github.com/garrigue/labltk/releases .*/tags/([0-9.]*)\.tar\.gz

## labltk 8.06.13

=== browser/Makefile ===
--- 
+++ 
@@ -16,5 +16,5 @@
 
 include Makefile.shared
 
-dummy.mli:
-	cp dummyUnix.mli dummy.mli
+dummy.ml:
+	cp dummyUnix.ml dummy.ml

=== camltk/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 include ../support/Makefile.common
 
-COMPFLAGS= -I ../support -no-alias-deps
+COMPFLAGS= -I ../support -no-alias-deps -I +unix
 
 all: camltkobjs

=== frx/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 2002 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

COMPFLAGS=-I ../camltk -I ../support

OBJS= frx_misc.cmo frx_widget.cmo frx_font.cmo frx_entry.cmo frx_text.cmo \
      frx_listbox.cmo frx_req.cmo frx_fillbox.cmo frx_focus.cmo \
      frx_dialog.cmo frx_mem.cmo frx_rpc.cmo frx_synth.cmo frx_selection.cmo \
      frx_after.cmo frx_fit.cmo frx_ctext.cmo frx_color.cmo

OBJSX = $(OBJS:.cmo=.cmx)

all: frxlib.cma

opt: frxlib.cmxa

frxlib.cma: $(OBJS)
	$(CAMLLIBR) -o frxlib.cma $(OBJS)

frxlib.cmxa: $(OBJSX)
	$(CAMLOPTLIBR) -o frxlib.cmxa $(OBJSX)

ifeq ($(USE_FINDLIB),yes)
install:
	ocamlfind install labltk -add *.cmi *.mli frxlib.cma
installopt:
	ocamlfind install labltk -add frxlib.cmxa frxlib.$(A) *.cmx
	cd $(INSTALLDIR); ranlib frxlib.$(A)
else
install:
	cp *.cmi *.mli frxlib.cma $(INSTALLDIR)

installopt:
	cp frxlib.cmxa frxlib.$(A) *.cmx $(INSTALLDIR)
	cd $(INSTALLDIR); ranlib frxlib.$(A)
endif

clean:
	rm -f *.cm* *.$(O) *.$(A)

$(OBJS) $(OBJS:.cmo=.cmi): ../lib/$(LIBNAME).cma

$(OBJSX): ../lib/$(LIBNAME).cmxa

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmo .cmx

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmx:
	$(CAMLOPT) -c $(COMPFLAGS) $<


depend:
	$(CAMLDEP) *.mli *.ml > .depend

include .depend

=== jpf/Makefile ===
#######################################################################
#                                                                     #
#                 MLTk, Tcl/Tk interface of OCaml                     #
#                                                                     #
#    Francois Rouaix, Francois Pessaux, Jun Furuse and Pierre Weis    #
#               projet Cristal, INRIA Rocquencourt                    #
#            Jacques Garrigue, Kyoto University RIMS                  #
#                                                                     #
#  Copyright 1999 Institut National de Recherche en Informatique et   #
#  en Automatique and Kyoto University.  All rights reserved.         #
#  This file is distributed under the terms of the GNU Library        #
#  General Public License, with the special exception on linking      #
#  described in file LICENSE found in the OCaml source tree.          #
#                                                                     #
#######################################################################

include ../support/Makefile.common

COMPFLAGS=-I ../labltk -I ../support -I +str -I +unix

OBJS= fileselect.cmo balloon.cmo shell.cmo jpf_font.cmo

OBJSX = $(OBJS:.cmo=.cmx)

all: jpflib.cma

opt: jpflib.cmxa

test: balloontest

testopt: balloontest.opt

jpflib.cma: $(OBJS)
	$(CAMLLIBR) -o jpflib.cma $(OBJS)

jpflib.cmxa: $(OBJSX)
	$(CAMLOPTLIBR) -o jpflib.cmxa $(OBJSX)

ifeq ($(USE_FINDLIB),yes)
install:
	ocamlfind install labltk -add \
	  $(OBJS:.cmo=.cmi) $(OBJS:.cmo=.mli) jpflib.cma
installopt:
	ocamlfind install labltk -add \
	  jpflib.cmxa jpflib.$(A) $(OBJS:.cmo=.cmx)
	cd $(INSTALLDIR); $(RANLIB) jpflib.$(A)
else
install:
	cp $(OBJS:.cmo=.cmi) $(OBJS:.cmo=.mli) jpflib.cma $(INSTALLDIR)

installopt:
	cp jpflib.cmxa jpflib.$(A) $(OBJS:.cmo=.cmx) $(INSTALLDIR)
	cd $(INSTALLDIR); $(RANLIB) jpflib.$(A)
endif

clean:
	rm -f *.cm* *.$(O) *.$(A) *~ *test

$(OBJS) $(OBJS:.cmo=.cmi): ../lib/$(LIBNAME).cma

$(OBJSX): ../lib/$(LIBNAME).cmxa

### Tests

balloontest: balloontest.cmo
	$(CAMLC) -o balloontest -I ../support -I ../lib \
	        -custom $(LIBNAME).cma jpflib.cma balloontest.cmo

balloontest.opt: balloontest.cmx
	$(CAMLOPT) -o balloontest.opt -I ../support -I ../lib \
	        $(LIBNAME).cmxa jpflib.cmxa balloontest.cmx

balloontest.cmo : balloon.cmo jpflib.cma

balloontest.cmx : balloon.cmx jpflib.cmxa

.SUFFIXES :
.SUFFIXES : .mli .ml .cmi .cmx .cmo

.mli.cmi:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmo:
	$(CAMLCOMP) $(COMPFLAGS) $<

.ml.cmx:
	$(CAMLOPT) -c $(COMPFLAGS) $<

depend:
	mv Makefile Makefile.bak
	(sed -n -e '1,/^### DO NOT DELETE THIS LINE/p' Makefile.bak; \
	 $(CAMLDEP) *.mli *.ml) > Makefile


### EVERYTHING THAT GOES BEYOND THIS COMMENT IS GENERATED
### DO NOT DELETE THIS LINE
balloon.cmo: balloon.cmi
balloon.cmx: balloon.cmi
fileselect.cmo: fileselect.cmi
fileselect.cmx: fileselect.cmi
jpf_font.cmo: shell.cmi jpf_font.cmi
jpf_font.cmx: shell.cmx jpf_font.cmi
shell.cmo: shell.cmi
shell.cmx: shell.cmi

=== support/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 CCFLAGS=-I$(LIBDIR)/caml $(TK_DEFS) $(SHAREDCCCOMPOPTS)
 
-COMPFLAGS=
+COMPFLAGS=-I +unix
 THFLAGS=-I +threads -I vmthreads
 TKLDOPTS=$(TK_LINK:%=-ldopt "%")

=== debian/changelog ===
labltk (8.06.13-2build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:53:10 +0200

labltk (8.06.13-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:08:04 +0100

labltk (8.06.13-2) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:22 +0200

labltk (8.06.13-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 13:05:41 +0100

labltk (8.06.11-2) unstable; urgency=medium

  * Fix paths in labltk script (Closes: #1023867)
  * Bump Standards-Version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 14 Nov 2022 08:27:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: labltk
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.08),
+ ocaml,
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/garrigue/labltk
 Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
@@ -26,8 +27,6 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml (<< 4.02.1)
-Replaces: ocaml (<< 4.02.1)
 Description: OCaml bindings to Tcl/Tk (executables)
  mlTk is a library for interfacing OCaml with the scripting language
  Tcl/Tk.
@@ -45,8 +44,6 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml (<< 4.02.1)
-Replaces: ocaml (<< 4.02.1)
 Description: OCaml bindings to Tcl/Tk (dev. libraries)
  mlTk is a library for interfacing OCaml with the scripting language
  Tcl/Tk.
@@ -68,8 +65,6 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml-base (<< 4.02.1)
-Replaces: ocaml-base (<< 4.02.1)
 Description: OCaml bindings to Tcl/Tk (runtime libraries)
  mlTk is a library for interfacing OCaml with the scripting language
  Tcl/Tk.

## labltk 8.06.14

=== debian/changelog ===
labltk (8.06.14-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 21:38:55 +0100

labltk (8.06.14-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:35:40 +0200

labltk (8.06.14-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:10:44 +0200

labltk (8.06.14-1) unstable; urgency=medium

  * New upstream release
    - fix build with GCC-14 (Closes: #1075127)
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 13:48:09 +0200
